/*
 * 通知公告接口
*/
import request from '../index'
const prefix = 'system'

// 获取公告列表/详情
export interface listParamsType {
  noticeNo: string // 编号
  noticePublisher: string // 发布人
  noticeTime: string // 发布时间
  noticeTitle: string // 标题
  limit: number
  offset: number
}
export function getNoticeeApi(data: listParamsType) {
  return request({
    url: `${prefix}/notice/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}
export function getNoticeDetail(data: object) {
  return request({
    url: `${prefix}/notice/listPage`,
    method: 'post',
    data,
  })
}
// 通知公告新建
export function addNoticeApi(data: object) {
  return request({
    url: `${prefix}/notice/add`,
    method: 'post',
    data,
  })
}
// 上传文件
export function uploadApi(data: FormData) {
  return request({
    url: 'minio/file/upload',
    method: 'post',
    data,
  })
}

